PlayRun (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.play.tasks

## Class PlayRun

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.play.tasks.PlayRun

-     @Incubating
      public class PlayRun
      extends org.gradle.api.internal.ConventionTask

  Task to run a Play application.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayRun​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getApplicationJar​()` | The Play application jar to run.
    `java.util.Set<java.io.File>` | `getAssetsDirs​()` | The directories of the assets for the Play application (for live reload functionality).
    `java.io.File` | `getAssetsJar​()` | The assets jar to run with the Play application.
    `FileCollection` | `getChangingClasspath​()` | The changing classpath for the Play application.
    `org.gradle.deployment.internal.DeploymentRegistry` | `getDeploymentRegistry​()` |
    `BaseForkOptions` | `getForkOptions​()` | fork options for the running a Play application.
    `int` | `getHttpPort​()` | The HTTP port listened to by the Play application.
    `FileCollection` | `getRuntimeClasspath​()` | The runtime classpath for the Play application.
    `DirectoryProperty` | `getWorkingDir​()` | The working directory.
    `void` | `run​()` |
    `void` | `setApplicationJar​(java.io.File applicationJar)` |
    `void` | `setAssetsDirs​(java.util.Set<java.io.File> assetsDirs)` |
    `void` | `setAssetsJar​(java.io.File assetsJar)` |
    `void` | `setChangingClasspath​(FileCollection changingClasspath)` |
    `void` | `setHttpPort​(int httpPort)` |
    `void` | `setPlayToolProvider​(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)` |
    `void` | `setRuntimeClasspath​(FileCollection runtimeClasspath)` |

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayRun

          public PlayRun​()

  - ### Method Detail

    - #### getForkOptions

          public BaseForkOptions getForkOptions​()

      fork options for the running a Play application.

    - #### run

          public void run​()

    - #### getHttpPort

          @Internal
          public int getHttpPort​()

      The HTTP port listened to by the Play application. This port should be available. The Play application will fail to start if the port is already in use.
      Returns:
        HTTP port

    - #### setHttpPort

          public void setHttpPort​(int httpPort)

    - #### getWorkingDir

          @Internal
          public DirectoryProperty getWorkingDir​()

      The working directory.
      Since:
        4.4

    - #### getApplicationJar

          @Classpath
          public java.io.File getApplicationJar​()

      The Play application jar to run.

    - #### setApplicationJar

          public void setApplicationJar​(java.io.File applicationJar)

    - #### getAssetsJar

          @Classpath
          public java.io.File getAssetsJar​()

      The assets jar to run with the Play application.

    - #### setAssetsJar

          public void setAssetsJar​(java.io.File assetsJar)

    - #### getAssetsDirs

          @InputFiles
          @PathSensitive(RELATIVE)
          public java.util.Set<java.io.File> getAssetsDirs​()

      The directories of the assets for the Play application (for live reload functionality).

    - #### setAssetsDirs

          public void setAssetsDirs​(java.util.Set<java.io.File> assetsDirs)

    - #### getRuntimeClasspath

          @Classpath
          public FileCollection getRuntimeClasspath​()

      The runtime classpath for the Play application.
      Since:
        5.0

    - #### setRuntimeClasspath

          public void setRuntimeClasspath​(FileCollection runtimeClasspath)

    - #### getChangingClasspath

          @Classpath
          public FileCollection getChangingClasspath​()

      The changing classpath for the Play application.
      Since:
        5.0

    - #### setChangingClasspath

          public void setChangingClasspath​(FileCollection changingClasspath)

    - #### setPlayToolProvider

          public void setPlayToolProvider​(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)

    - #### getDeploymentRegistry

          @Inject
          public org.gradle.deployment.internal.DeploymentRegistry getDeploymentRegistry​()